Bug 32540 - Готов к выбросу
: Готов к выбросу
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/update-pepperflash)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-09-28 11:36 by
Modified: 2016-09-29 17:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-09-28 11:36:49
Есть более нормальный(еще и 32-битный) ppapi-plugin-adobe-flash, поэтому
update-pepperflash можно выбросить.
------- Comment #1 From 2016-09-28 13:30:23 -------
(In reply to comment #0)
> Есть более нормальный(еще и 32-битный) ppapi-plugin-adobe-flash, поэтому
> update-pepperflash можно выбросить.

А как ты предлагаешь #32517 фиксить? Ты всё всюду заабсолетил, теперь нет шанса
починить update-pepperflash. Очевидно, придётся это объезжать именно в
ppapi-plugin-adobe-flash.
------- Comment #2 From 2016-09-28 14:10:00 -------
(В ответ на комментарий №1)
> А как ты предлагаешь #32517 фиксить?
1. Аудитория баги -- chromium-x86_64, т.е. более-менее продвинутые
пользователи.
2. В дистрибутивах AFAIK chromium по умолчанию нет.
3. Пока некто не наткнулся.
IMHO можно не городить коcтылей, а обойтись инструкцией
apt-get reinstall ppapi-plugin-adobe-flash
------- Comment #3 From 2016-09-28 15:55:19 -------
А всякие firefox-pepperflash надо перенести в более правильное место --
freshplayerplugin.
------- Comment #4 From 2016-09-29 07:57:27 -------
Я вообще не понимаю такую спешку. 
Мне не нравится удаление пакетов типа firefox-pepperflash.
И потом - сегодня они выкладывают  свой плагин, завтра перестанут, а механизма
скачивания его уже нет.
------- Comment #6 From 2016-09-29 11:30:46 -------
(В ответ на комментарий №4)
> Мне не нравится удаление пакетов типа firefox-pepperflash.
И мне. А зачем их удалять?
------- Comment #7 From 2016-09-29 11:31:47 -------
(В ответ на комментарий №4)
> Я вообще не понимаю такую спешку.
Выпуск дистрибутива на носу.
------- Comment #8 From 2016-09-29 11:33:09 -------
(В ответ на комментарий №4)
> И потом - сегодня они выкладывают  свой плагин, завтра перестанут, а механизма
> скачивания его уже нет.
Давайте телепатию оставим мантейнеру пакета mozilla-plugin-adobe-flash.
------- Comment #9 From 2016-09-29 11:36:55 -------
(В ответ на комментарий №5)
> такое решение устроит?
Нет. Там какая-то ерунда.
Устроит решение из комента #3.
------- Comment #10 From 2016-09-29 12:52:45 -------
(In reply to comment #2)
> (В ответ на комментарий №1)
> > А как ты предлагаешь #32517 фиксить?
> 1. Аудитория баги -- chromium-x86_64, т.е. более-менее продвинутые
> пользователи.
> 2. В дистрибутивах AFAIK chromium по умолчанию нет.
> 3. Пока некто не наткнулся.
> IMHO можно не городить коcтылей, а обойтись инструкцией
> apt-get reinstall ppapi-plugin-adobe-flash

Я не согласен с таким подходом. Есть ещё пользователи firefox-pepperflash,
которые им пользовались и в p7.
------- Comment #11 From 2016-09-29 13:22:51 -------
(В ответ на комментарий №10)
> Я не согласен с таким подходом.
Я не против. Предлагайте исправление.
Мне просто сейчас со своими пакетами возни хватает.
------- Comment #12 From 2016-09-29 13:23:39 -------
Мне кажется проблема не в пакете, а в том, что опция ghost из строки 
%ghost %_libdir/pepper-plugins/libpepflashplayer.so
(см
http://git.altlinux.org/gears/u/update-pepperflash.git?p=update-pepperflash.git;a=blob_plain;f=chromium-pepperflash.spec;hb=48b7bc8711578b683f9ce76f5172b57f72dcbab5)
и просто 
%_libdir/pepper-plugins/libpepflashplayer.so
из ppapi-plugin-adobe-flash 
неправильно взаимодействуют при обновлении, но это никак не ошибка
update-pepperflash
------- Comment #13 From 2016-09-29 13:26:54 -------
(В ответ на комментарий №12)
> Мне кажется проблема не в пакете, а в том, что опция ghost из строки 
> %ghost %_libdir/pepper-plugins/libpepflashplayer.so
[...]
> и просто 
> %_libdir/pepper-plugins/libpepflashplayer.so
> неправильно взаимодействуют при обновлении
%ghost не взаимодействует с файлами.
------- Comment #14 From 2016-09-29 13:28:15 -------
(В ответ на комментарий №12)
> неправильно взаимодействуют при обновлении
Вы не в тот баг пишете.
------- Comment #15 From 2016-09-29 17:14:14 -------
update-pepperflash-1.6-alt1 -> sisyphus:

* Thu Sep 29 2016 Gleb F-Malinovskiy <glebfm@altlinux> 1.6-alt1
- Added R: ppapi-plugin-adobe-flash.
- Removed all download code (ALT#32540).
- Fixed uninstall mode (ALT#32517)